Linux-PAM check_acl function denial of service

linuxpam-checkacl-dos (65036) The risk level is classified as MediumMedium Risk

Description:

Linux-PAM is vulnerable to a denial of service, caused by improper verification of whether a certain ACL file is a regular file. A local attacker could exploit this vulnerability via a specially-crafted file to cause the consumption of system resources.

*CVSS:

Base Score: 4.9
  Access Vector: Local
  Access Complexity: Low
  Authentication: None
  Confidentiality Impact: None
  Integrity Impact: None
  Availability Impact: Complete
 
Temporal Score: 3.7
  Exploitability: Unproven
  Remediation Level: Temporary-Fix
  Report Confidence: Confirmed

Consequences:

Denial of Service

Remedy:

Apply the patch for this vulnerability, available from the ALT Linux Team git Repository. See References.

References:

  • ALT Linux Team git Repository: GIT.ALT/people/ldv/packages / pam.git / commit.
  • oss-security: Dmitry V. Levin | 4 Oct 02:00: Minor security flaw with pam_xauth.
  • BID-46045: Linux-PAM 'pam_xauth' Module Denial of Service and Security Bypass Vulnerabilities
  • CVE-2010-4707: The check_acl function in pam_xauth.c in the pam_xauth module in Linux-PAM (aka pam) 1.1.2 and earlier does not verify that a certain ACL file is a regular file, which might allow local users to cause a denial of service (resource consumption) via a special file.
  • OSVDB ID: 70653: Linux-PAM pam_xauth Module pam_xauth.c check_acl Function Special ACL File Local DoS
  • RHSA-2010-0819: Moderate: pam security update
  • RHSA-2010-0891: Moderate: pam security update

Platforms Affected:

  • Linux Linux-PAM 0.99.1.0
  • Linux Linux-PAM 0.99.10.0
  • Linux Linux-PAM 0.99.2.0
  • Linux Linux-PAM 0.99.2.1
  • Linux Linux-PAM 0.99.3.0
  • Linux Linux-PAM 0.99.4.0
  • Linux Linux-PAM 0.99.5.0
  • Linux Linux-PAM 0.99.6.0
  • Linux Linux-PAM 0.99.6.1
  • Linux Linux-PAM 0.99.6.2
  • Linux Linux-PAM 0.99.6.3
  • Linux Linux-PAM 0.99.7.0
  • Linux Linux-PAM 0.99.7.1
  • Linux Linux-PAM 0.99.8.0
  • Linux Linux-PAM 0.99.8.1
  • Linux Linux-PAM 0.99.9.0
  • Linux Linux-PAM 1.0.0
  • Linux Linux-PAM 1.0.1
  • Linux Linux-PAM 1.0.2
  • Linux Linux-PAM 1.0.3
  • Linux Linux-PAM 1.0.4
  • Linux Linux-Pam 1.1.0
  • Linux Linux-PAM 1.1.1
  • Linux Linux-PAM 1.1.2
  • RedHat Enterprise Linux 5 Client
  • RedHat Enterprise Linux 5 Client Workstation
  • RedHat Enterprise Linux 5
  • RedHat Enterprise Linux 6 Server
  • RedHat Enterprise Linux 6 Workstation
  • RedHat Enterprise Linux Desktop 6
  • RedHat Enterprise Linux HPC Node 6
  • RedHat Enterprise Linux Server EUS 6.0.z

Reported:

Oct 04, 2010

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page